summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/dnssec/prereq.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tests/system/dnssec/prereq.sh')
-rw-r--r--bin/tests/system/dnssec/prereq.sh38
1 files changed, 17 insertions, 21 deletions
diff --git a/bin/tests/system/dnssec/prereq.sh b/bin/tests/system/dnssec/prereq.sh
index 90f5a55..ad18841 100644
--- a/bin/tests/system/dnssec/prereq.sh
+++ b/bin/tests/system/dnssec/prereq.sh
@@ -16,30 +16,26 @@
set -e
-if test -n "$PYTHON"
-then
- if $PYTHON -c "import dns" 2> /dev/null
- then
- :
- else
- echo_i "This test requires the dnspython module." >&2
- exit 1
- fi
-else
- echo_i "This test requires Python and the dnspython module." >&2
+if test -n "$PYTHON"; then
+ if $PYTHON -c "import dns" 2>/dev/null; then
+ :
+ else
+ echo_i "This test requires the dnspython module." >&2
exit 1
+ fi
+else
+ echo_i "This test requires Python and the dnspython module." >&2
+ exit 1
fi
-if "$PERL" -e 'use Net::DNS;' 2>/dev/null
-then
- # shellcheck disable=SC2016
- if "$PERL" -e 'use Net::DNS; die if ($Net::DNS::VERSION >= 0.69 && $Net::DNS::VERSION <= 0.70);' 2>/dev/null
- then
- :
- else
- echo_i "Net::DNS versions 0.69 to 0.70 have bugs that cause this test to fail: please update." >&2
- exit 1
- fi
+if "$PERL" -e 'use Net::DNS;' 2>/dev/null; then
+ # shellcheck disable=SC2016
+ if "$PERL" -e 'use Net::DNS; die if ($Net::DNS::VERSION >= 0.69 && $Net::DNS::VERSION <= 0.70);' 2>/dev/null; then
+ :
+ else
+ echo_i "Net::DNS versions 0.69 to 0.70 have bugs that cause this test to fail: please update." >&2
+ exit 1
+ fi
fi
exit 0